LyX

lp:~lyx-devel/lyx/trunk

Created by Liviu Andronic on 2013-11-28 and last modified on 2018-06-23
Get this branch:
bzr branch lp:~lyx-devel/lyx/trunk

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
LyX Team
Project:
LyX
Status:
Development

Import details

Import Status: Failed

This branch is an import of the HEAD branch of the Git repository at git://git.lyx.org/lyx.

The import has been suspended because it failed 5 or more times in succession.

Last successful import was on 2018-06-24.

Import started on 2018-06-28 on alnitak and finished on 2018-06-28 taking 1 hour — see the log
Import started on 2018-06-26 on izar and finished on 2018-06-26 taking 1 hour — see the log
Import started on 2018-06-25 on alnitak and finished on 2018-06-25 taking 1 hour — see the log
Import started on 2018-06-24 on izar and finished on 2018-06-24 taking 1 hour — see the log

Recent revisions

38492. By Kornel Benko <email address hidden> on 2018-06-23

Cmake tests: Adapt some keytests due to changed key-bindings

38491. By Pavel Sanda <email address hidden> on 2018-06-19

lyx-build: check sig in case one really uses download instead of local tarball.

38490. By Enrico Forestieri <email address hidden> on 2018-06-16

Fix bug #11174

Apparently, a new paragraph is started after a float even if
no blank line is actually present. So, account for this fact.

38489. By Stephan Witt <email address hidden> on 2018-06-12

Extend Clang compiler detection to cover Apple CLang

CMake 3.0 and above recognize that Apple Clang is a different compiler than upstream Clang and so it gets a different CMAKE_CXX_COMPILER_ID.

38488. By Scott Kostyshak on 2018-06-10

INSTALL.cmake: update min. CMake version to 3.1.0

As of 72a2f922, we require at least CMake version 3.1.0.

38487. By Kornel Benko <email address hidden> on 2018-06-10

Cmake build: Disable possible warn about not known policy

38486. By Kornel Benko <email address hidden> on 2018-06-09

Cmake build: Simplify use of qt5 modules

According to this page:
 http://doc.qt.io/qt-5/cmake-manual.html
the way to replace use of qt5_use_modules() for module "_mod" and target "_target"
is to use
 1.) cmake_minimum_required(VERSION 3.1.0)
 2.) find_package(Qt5${_mod} CONFIG REQUIRED)
 3.) target_link_libraries(${_target} Qt5::${_mod})
The last one sets all reguired libraries, compile flags and needed includes for the ${_target}

38485. By Kornel Benko <email address hidden> on 2018-06-09

Cmake build: Adapt to compile with qt5.11

Since qt5_use_modules() is removed from QT5 (as spotted
by J├╝rgen Spitzm├╝ller), we had to create own version
of this macro.

38484. By Juergen Spitzmueller <email address hidden> on 2018-06-09

Support input of non-ASCII characters in hyperlinks

We transform them to hex representation via
QByteArray::toPercentEncoding()

Fixes: #11165

38483. By Kornel Benko <email address hidden> on 2018-06-09

Cmate tests: Amend aca3031

The script checkKeys.pl.in was mentioned but not added to the previous commit.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.